Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
LibreOffice 4.0-git [geki-overlay] flavored features!
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2086
Location: イタリアのロヂで

PostPosted: Thu Aug 04, 2011 9:39 pm    Post subject: Reply with quote

Sorry.
Another question.
Libreoffice-3.4.2.3 in the main tree is Hard Masked or not.
eix says no!
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Fri Aug 05, 2011 6:33 pm    Post subject: Reply with quote

bandreabis wrote:
Official ebuild, obtained this:
Code:

Possible unintended interpolation of @HAVE_GCC_AVX in string at ./set_soenv line 1844.
Global symbol "@HAVE_GCC_AVX" requires explicit package name at ./set_soenv line 1844.
Execution of ./set_soenv aborted due to compilation errors.

I received this error today trying to emerge both the portage, as well as the openoffice-geki overlay, version of libreoffice-3.4.2.3. I tried various combinations of libreoffice USE flags, as well as using then removing "-mno-avx" from my CFLAGS. Every time the emerge fails with the same message.

Thanks..
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2086
Location: イタリアのロヂで

PostPosted: Fri Aug 05, 2011 7:06 pm    Post subject: Reply with quote

Synced again!
This evening I'm trying to emerge libreoffice-3.4.2.3 again!
That error is not occurred, emerging is going further than any when before.
I'm quite confident this is the good one.
Back to top
View user's profile Send private message
jasn
Guru
Guru


Joined: 05 May 2005
Posts: 412
Location: Maryland, US

PostPosted: Sat Aug 06, 2011 12:13 am    Post subject: Reply with quote

I agree. After another emerge --sync this evening, the portage libreoffice-3.4.2.3 emerged cleanly.

Thanks..
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sat Aug 06, 2011 6:57 am    Post subject: Reply with quote

Hi!

I had the same problem. After a:

emerge --sync

it was solved.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Sun Aug 07, 2011 2:07 pm    Post subject: Reply with quote

jfyi, bumped _pre to master (3.5 development).

have fun testing reworked eclass! :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Oschtan
n00b
n00b


Joined: 27 Dec 2008
Posts: 54
Location: Russia, Novosibirsk

PostPosted: Sun Aug 07, 2011 7:55 pm    Post subject: Reply with quote

Why LibreOffice rigid dependence media-gfx/sane-backends? Or "I was blinded by it from what it was?"
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Wed Aug 17, 2011 8:51 pm    Post subject: Reply with quote

app-office/libreoffice-3.4.3.1 released!
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1402
Location: Bardowick, Germany

PostPosted: Fri Aug 19, 2011 11:50 am    Post subject: Reply with quote

Just installed app-office/libreoffice-3.4.2.3 from the portage tree and it merges and runs well. Great!
_________________
systemd - The biggest fallacies
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Mon Aug 22, 2011 7:47 pm    Post subject: Reply with quote

random note:

with libreoffice 3.5 cups is a fixed build dependency. :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Fri Aug 26, 2011 6:40 pm    Post subject: Reply with quote

to the ones using libreoffice python-bridge:

would it be more convenient for you, if the package installed uno{helper}.py and pyuno.so into python sitedir? :roll:

is there something that would need patching?

something like:
http://code.google.com/p/gekis-playground/source/browse/trunk/eclass/boost.eclass#269


edit #1
a, btw, app-office/libreoffice-3.4.3.2 released!
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
bjlockie
Veteran
Veteran


Joined: 18 Oct 2002
Posts: 1182
Location: Canada

PostPosted: Wed Aug 31, 2011 1:46 am    Post subject: Reply with quote

geki wrote:
app-office/libreoffice-3.4.3.2 released![/b]


Writer: The bubble help when hovering the mouse over a Field is a black box with black text on my machine.
Does anyone else have that happen?
_________________
AMD FX6100 CPU, 16 GiB RAM, OCZ Vertex 3 SSD
ASRock 970 Extreme3 motherboard with S/PDIF audio
Galaxy-NVidia GeForce 8800GT video card, Cyber Power CP550HG USB UPS
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Sun Sep 04, 2011 4:50 pm    Post subject: Reply with quote

jfyi, imported libreoffice l10n package. remerge libreoffice before installing l10n package!
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Mon Sep 05, 2011 8:06 am    Post subject: Reply with quote

Anything we can do about it?

Code:
vindor ~ # cave resolve -cx world
Deciding: 821 steps, 1 metadata (1 geki-overlay)


Error:
  * In program cave resolve -cx world:
  * When resolving and adding dependencies recursively:
  * When adding dependencies for 'app-office/libreoffice:0::(install_to_slash)' with 'app-office/libreoffice-3.4.3.2-r10:0::geki-overlay':
  * When handling dependency '~app-office/libreoffice-l10n-3.4.3':
  * When finding slots for '~app-office/libreoffice-l10n-3.4.3':
  * When determining resolvents for '~app-office/libreoffice-l10n-3.4.3':
  * When finding best version of each package from packages matching ~app-office/libreoffice-l10n-3.4.3 (ignoring additional requirements) with filter all matches filtered through supports action install filtered through not masked filtered through all matches:
  * When generating metadata for ID 'app-office/libreoffice-l10n-3.4.3-r1::geki-overlay':
  * When loading generated metadata for 'app-office/libreoffice-l10n-3.4.3-r1::geki-overlay':
  * Name '+sparc' is not a valid keyword name (paludis::KeywordNameError)
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Mon Sep 05, 2011 1:15 pm    Post subject: Reply with quote

keyword '+sparc', wtf?! :lol:
you may change it to '~sparc'

see: http://code.google.com/p/gekis-playground/source/browse/trunk/app-office/libreoffice-l10n/libreoffice-l10n-3.4.3-r1.ebuild#15

edit #1
should be fixed now
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Tue Sep 06, 2011 5:23 pm    Post subject: Reply with quote

Indeed :)

New paludis also gives some QA. Donno what's important and what's not, so I'll just put it here and do whatever you want :)

Code:
libreoffice-3.4.3.2-r10>  * This libreoffice version is experimental.
libreoffice-3.4.3.2-r10>  * Things could just break.
libreoffice-3.4.3.2-r10>  *
libreoffice-3.4.3.2-r10>  * There are various extensions to libreoffice.
libreoffice-3.4.3.2-r10>  * You may check ./configure for '--enable-ext-*'
libreoffice-3.4.3.2-r10>  * and request them here: https://forums.gentoo.org/viewtopic-t-865091.html
libreoffice-3.4.3.2-r10>
libreoffice-3.4.3.2-r10>  * QA: Package calling old check_reqs function.
libreoffice-3.4.3.2-r10>  * QA: Please file a bug against the package.
libreoffice-3.4.3.2-r10>  * QA: It should call check-reqs_pkg_pretend and check-reqs_pkg_setup
libreoffice-3.4.3.2-r10>  * QA: and possibly use EAPI=4 or later.
libreoffice-3.4.3.2-r10>
libreoffice-3.4.3.2-r10>  * QA: Package does not specify unit for the size check
libreoffice-3.4.3.2-r10>  * QA: Assuming mebibytes.
libreoffice-3.4.3.2-r10>  * QA: File bug against the package. It should specify the unit.
libreoffice-3.4.3.2-r10>  * Checking for at least 512 mebibytes RAM ...  [ ok ]
libreoffice-3.4.3.2-r10>  * QA: Package does not specify unit for the size check
libreoffice-3.4.3.2-r10>  * QA: Assuming mebibytes.
libreoffice-3.4.3.2-r10>  * QA: File bug against the package. It should specify the unit.
libreoffice-3.4.3.2-r10>  * Checking for at least 8000 mebibytes disk sp [ !! ]"" ...
libreoffice-3.4.3.2-r10>  * Couldn't determine disk space, skipping...
libreoffice-3.4.3.2-r10>  * QA: Package does not specify unit for the size check
libreoffice-3.4.3.2-r10>  * QA: Assuming mebibytes.
libreoffice-3.4.3.2-r10>  * QA: File bug against the package. It should specify the unit.
libreoffice-3.4.3.2-r10>  * Checking for at least 512 mebibytes disk spa [ ok ]//usr" ...
libreoffice-3.4.3.2-r10>
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Tue Sep 06, 2011 6:07 pm    Post subject: Reply with quote

a hurray for the ones who cannot read nor calculate binary. but want to fiddle ... :lol:

there is no such eclass having these functions or variables here. where is that eclass from?!
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Tue Sep 06, 2011 7:23 pm    Post subject: Reply with quote

Sorry but I don't know :cry:

Just thought paludis output can be useful for you
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Wed Sep 07, 2011 11:06 am    Post subject: Reply with quote

sure, it does, but only as soon as that code is in gentoo repository. :o

edit #1
a ha, check-reqs update came with a sync. :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Fri Sep 09, 2011 11:04 am    Post subject: Reply with quote

Indeed - all QA warnings are gone :)
Back to top
View user's profile Send private message
xsilentmurmurx
Apprentice
Apprentice


Joined: 23 Oct 2009
Posts: 231

PostPosted: Fri Sep 09, 2011 5:00 pm    Post subject: Reply with quote

soooo how stable is version 3.4.3-r2?
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Fri Sep 09, 2011 9:21 pm    Post subject: Reply with quote

xsilentmurmurx
that depends on the specific use case. :o

the only way to verify would be to quickpkg your stable version; do a backup of your office files; and test your office files with a newer version.
upstream would be most grateful for any failing document you submit to fix issues.

well, I can only be as specific as the question. :roll:
and then, asking on the user or developer mailing list will get you further than any packager/other user could tell regarding such questions.

is there a commonly well-known scala to determine the stability of a program of this caliber? ;)


for me, openoffice and now libreoffice has always been stable.
neither did it ever trash my data nor did I fail to format my data. always worked some way or another. *yay*
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Sat Sep 10, 2011 10:01 am    Post subject: Reply with quote

I see config script failing to detect java-1.7 as newer than java-1.5. Are we able to do something about that?
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2116
Location: Germania

PostPosted: Sat Sep 10, 2011 10:42 am    Post subject: Reply with quote

well, config.log may help. ;)

edit #1
a ha, you mean this I guess:
http://cgit.freedesktop.org/libreoffice/core/tree/configure.in#n3837

luckily I have the bytecode version hardwired to 1.5. :o
going to fix on 1.6 since depend was upgraded already.

edit #2
Lustmored, please tell me then, if java 1.7 is detected at runtime.
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Sat Sep 10, 2011 11:27 am    Post subject: Reply with quote

The same result with oracle-jdk-bin and oracle-jre-bin:

Code:
lustmored@vindor ~ $ lowriter
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 6 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum